Re: Upgrading to FreeBSD 5.1

2003-09-16 Thread Kris Kennaway
On Mon, Sep 15, 2003 at 03:13:30PM -0400, Didier Rwitura wrote:
 I am trying to upgrade my sysstem from 4.8-RELEASE-p4 to 5.1 
 
 and i getting this error message when I run make -j4 buildworld 

Does it actually stop there, or does it go on to rebuild make as the message
suggests it will, and as it is supposed to?

Kris


pgp0.pgp
Description: PGP signature


Re: Upgrading to FreeBSD 5.1

2003-09-16 Thread Antoine Jacoutot
Kris Kennaway wrote:

On Mon, Sep 15, 2003 at 03:13:30PM -0400, Didier Rwitura wrote:

I am trying to upgrade my sysstem from 4.8-RELEASE-p4 to 5.1 

and i getting this error message when I run make -j4 buildworld 
I had the same problem.
Making without the -j4 option works however.
Antoine

___
[EMAIL PROTECTED] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-current
To unsubscribe, send any mail to [EMAIL PROTECTED]


Re: Upgrading to FreeBSD 5.1

2003-09-16 Thread Miha Nedok

RELENG_5_1 builds just fine, but don't mess with make's max jobs with
buildworld.

-Mike

On Tue, 16 Sep 2003, Antoine Jacoutot wrote:

 Date: Tue, 16 Sep 2003 09:12:46 +0200
 From: Antoine Jacoutot [EMAIL PROTECTED]
 To: Kris Kennaway [EMAIL PROTECTED]
 Cc: Didier Rwitura [EMAIL PROTECTED], [EMAIL PROTECTED],
  [EMAIL PROTECTED]
 Subject: Re: Upgrading to FreeBSD 5.1

 Kris Kennaway wrote:

  On Mon, Sep 15, 2003 at 03:13:30PM -0400, Didier Rwitura wrote:
 
 I am trying to upgrade my sysstem from 4.8-RELEASE-p4 to 5.1
 
 and i getting this error message when I run make -j4 buildworld

 I had the same problem.
 Making without the -j4 option works however.

 Antoine

 ___
 [EMAIL PROTECTED] mailing list
 http://lists.freebsd.org/mailman/listinfo/freebsd-stable
 To unsubscribe, send any mail to [EMAIL PROTECTED]

___
[EMAIL PROTECTED] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-current
To unsubscribe, send any mail to [EMAIL PROTECTED]


Re: Upgrading to FreeBSD 5.1

2003-09-15 Thread Jacques A. Vidrine
On Mon, Sep 15, 2003 at 11:18:24PM +0300, Ruslan Ermilov wrote:
 You mean you upgrade to RELENG_5_1?  Beware that this branch
 is currently not buildable: libpthread build is broken.

Eh?  By `this branch' you mean RELENG_5_1?  How is it broken?  If
there is a problem (I don't know of any --- it built after I made the
commits for the last security advisory), it is critical to fix it.
-- 
Jacques Vidrine   . NTT/Verio SME  . FreeBSD UNIX   . Heimdal
[EMAIL PROTECTED] . [EMAIL PROTECTED] . [EMAIL PROTECTED] . [EMAIL PROTECTED]
___
[EMAIL PROTECTED] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-current
To unsubscribe, send any mail to [EMAIL PROTECTED]


Re: Upgrading to FreeBSD 5.1

2003-09-15 Thread Ruslan Ermilov
On Mon, Sep 15, 2003 at 03:54:09PM -0500, Jacques A. Vidrine wrote:
 On Mon, Sep 15, 2003 at 11:18:24PM +0300, Ruslan Ermilov wrote:
  You mean you upgrade to RELENG_5_1?  Beware that this branch
  is currently not buildable: libpthread build is broken.
 
 Eh?  By `this branch' you mean RELENG_5_1?  How is it broken?
 
building shared library libkse.so.1
thr_libc.So: In function `sigaction':
thr_libc.So(.text+0x54): multiple definition of `_sigaction'
thr_sigaction.So(.text+0x0): first defined here
thr_libc.So: In function `sigprocmask':
thr_libc.So(.text+0x34): multiple definition of `_sigprocmask'
thr_sigprocmask.So(.text+0x0): first defined here
*** Error code 1

Basically, see the log for libpthread/support/Makefile.inc,v 1.2
where it talks why -L/usr/lib in a makefile is a Bad Idea (TM).

 If
 there is a problem (I don't know of any --- it built after I made the
 commits for the last security advisory), it is critical to fix it.
 
This worked for you because you probably test built RELENG_5_1
on a fresh HEAD system.  Please see the attached messages that
is still unanswered that talks about files/revisions involved
into a fix.


Cheers,
-- 
Ruslan Ermilov  Sysadmin and DBA,
[EMAIL PROTECTED]   Sunbay Software Ltd,
[EMAIL PROTECTED]   FreeBSD committer
---BeginMessage---
On Tue, Sep 02, 2003 at 12:37:11PM -0700, Alexander Kabaev wrote:
 kan 2003/09/02 12:37:11 PDT
 
   FreeBSD src repository
 
   Modified files:
 lib/libpthread   Makefile 
 lib/libpthread/support Makefile.inc 
   Log:
   Rethink the way thr_libc.So is generated. Relying on GCC to extract
   only needed symbols from libc_pic is not working on sparc64.
   
   Requested by: jake
   
   Revision  ChangesPath
   1.48  +0 -6  src/lib/libpthread/Makefile
   1.6   +32 -4 src/lib/libpthread/support/Makefile.inc
 
Excellent!  This means that revs. 1.365 and 1.367 to Makefile.inc1 can
go away now?

%%%
Index: Makefile.inc1
===
RCS file: /home/ncvs/src/Makefile.inc1,v
retrieving revision 1.389
diff -u -r1.389 Makefile.inc1
--- Makefile.inc1   1 Sep 2003 06:43:24 -   1.389
+++ Makefile.inc1   3 Sep 2003 07:16:30 -
@@ -813,8 +813,6 @@
 # gnu/lib/csu, gnu/lib/libgcc and lib/csu must be built before all
 # shared libraries for ELF.
 #
-# lib/libc (libc_pic.a) must be built before lib/libpthread.
-#
 _startup_libs= gnu/lib/csu gnu/lib/libgcc
 .if exists(${.CURDIR}/lib/csu/${MACHINE_ARCH}-elf)
 _startup_libs+=lib/csu/${MACHINE_ARCH}-elf
@@ -823,6 +821,7 @@
 .endif
 
 _prebuild_libs=
+
 _generic_libs= gnu/lib
 
 .if exists(${.CURDIR}/kerberos5)  exists(${.CURDIR}/crypto)  \
@@ -834,9 +833,6 @@
 _generic_libs+=kerberos5/lib
 .endif
 
-.if !defined(NOLIBPTHREAD)
-_prebuild_libs+= lib/libc
-.endif
 _prebuild_libs+= lib/libcom_err lib/libcrypt lib/libexpat \
lib/libkvm lib/libmd \
lib/libncurses lib/libopie lib/libpam lib/libradius \
%%%

BTW, the build of RELENG_5_1 is currently broken in libpthread due
to the same issue fixed in these revisions and rev. 1.2 to
libpthread/support/Makefile.inc.  Can you please fix the build of
RELENG_5_1 as well?

And, what's so special about Sparc64 that it didn't work there?


Cheers,
-- 
Ruslan Ermilov  Sysadmin and DBA,
[EMAIL PROTECTED]   Sunbay Software Ltd,
[EMAIL PROTECTED]   FreeBSD committer


pgp0.pgp
Description: PGP signature
---End Message---


pgp1.pgp
Description: PGP signature


Re: Upgrading to FreeBSD 5.1

2003-09-15 Thread Miha Nedok

Try without the -j option.

-Mike


On Mon, 15 Sep 2003, Didier Rwitura wrote:

 Date: Mon, 15 Sep 2003 15:13:30 -0400
 From: Didier Rwitura [EMAIL PROTECTED]
 To: [EMAIL PROTECTED]
 Cc: [EMAIL PROTECTED]
 Subject: Upgrading to FreeBSD 5.1

 I am trying to upgrade my sysstem from 4.8-RELEASE-p4 to 5.1

 and i getting this error message when I run make -j4 buildworld


 [admin]/usr/src(101)#make -j4 buildworld
 Running test variables
 PASS: Test variables detected no regression, output matches.
 Running test targets
 PASS: Test targets detected no regression.
 Running test sysvmatch
 PASS: Test sysvmatch detected no regression.
 Running test lhs_expn
 FAIL: Test failed: regression detected.  See above.
 *** Error code 1
 1 error
 *** Error code 2
 --
 Building an up-to-date make(1)
 --

 what do I need to check to fix this . I read the /src/UPDATING  ... I didnt find any 
 info about this error message.


 Thanx
 -
 Didier
 ___
 [EMAIL PROTECTED] mailing list
 http://lists.freebsd.org/mailman/listinfo/freebsd-stable
 To unsubscribe, send any mail to [EMAIL PROTECTED]

___
[EMAIL PROTECTED] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-current
To unsubscribe, send any mail to [EMAIL PROTECTED]


Re: Upgrading to FreeBSD 5.1

2003-09-15 Thread Ruslan Ermilov
On Mon, Sep 15, 2003 at 03:13:30PM -0400, Didier Rwitura wrote:
 I am trying to upgrade my sysstem from 4.8-RELEASE-p4 to 5.1 
 
 and i getting this error message when I run make -j4 buildworld 
 
 
 [admin]/usr/src(101)#make -j4 buildworld
 Running test variables
 PASS: Test variables detected no regression, output matches.
 Running test targets
 PASS: Test targets detected no regression.
 Running test sysvmatch
 PASS: Test sysvmatch detected no regression.
 Running test lhs_expn
 FAIL: Test failed: regression detected.  See above.
 *** Error code 1
 1 error
 *** Error code 2
 --
 Building an up-to-date make(1)
 --
 
 what do I need to check to fix this . I read the /src/UPDATING  ... I didnt find any 
 info about this error message.
 
You mean you upgrade to RELENG_5_1?  Beware that this branch
is currently not buildable: libpthread build is broken.

The error above is expected error, and does not (should not)
the buildworld to fail -- as the first step, src/Makefile
checks to see if the available make(1) binary is adequate to
build world; it does this by passing it by running the make
regression tests, and should they fail, builds a new make
from fresh sources.  The errors above indicate that some of
the regression tests have failed, and this causes the new
make to be built.


Cheers,
-- 
Ruslan Ermilov  Sysadmin and DBA,
[EMAIL PROTECTED]   Sunbay Software Ltd,
[EMAIL PROTECTED]   FreeBSD committer


pgp0.pgp
Description: PGP signature


Upgrading to FreeBSD 5.1

2003-09-15 Thread Didier Rwitura
I am trying to upgrade my sysstem from 4.8-RELEASE-p4 to 5.1 

and i getting this error message when I run make -j4 buildworld 


[admin]/usr/src(101)#make -j4 buildworld
Running test variables
PASS: Test variables detected no regression, output matches.
Running test targets
PASS: Test targets detected no regression.
Running test sysvmatch
PASS: Test sysvmatch detected no regression.
Running test lhs_expn
FAIL: Test failed: regression detected.  See above.
*** Error code 1
1 error
*** Error code 2
--
Building an up-to-date make(1)
--

what do I need to check to fix this . I read the /src/UPDATING  ... I didnt find any 
info about this error message.


Thanx
-
Didier
___
[EMAIL PROTECTED] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-current
To unsubscribe, send any mail to [EMAIL PROTECTED]